Class TargetHttpsProxyList.Builder (1.88.0)

public static final class TargetHttpsProxyList.Builder extends GeneratedMessageV3.Builder<TargetHttpsProxyList.Builder> implements TargetHttpsProxyListOrBuilder

Contains a list of TargetHttpsProxy resources.

Protobuf type google.cloud.compute.v1.TargetHttpsProxyList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends TargetHttpsProxy> values)

public TargetHttpsProxyList.Builder addAllItems(Iterable<? extends TargetHttpsProxy> values)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.TargetHttpsProxy>
Returns
Type Description
TargetHttpsProxyList.Builder

addItems(TargetHttpsProxy value)

public TargetHttpsProxyList.Builder addItems(TargetHttpsProxy value)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameter
Name Description
value TargetHttpsProxy
Returns
Type Description
TargetHttpsProxyList.Builder

addItems(TargetHttpsProxy.Builder builderForValue)

public TargetHttpsProxyList.Builder addItems(TargetHttpsProxy.Builder builderForValue)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameter
Name Description
builderForValue TargetHttpsProxy.Builder
Returns
Type Description
TargetHttpsProxyList.Builder

addItems(int index, TargetHttpsProxy value)

public TargetHttpsProxyList.Builder addItems(int index, TargetHttpsProxy value)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameters
Name Description
index int
value TargetHttpsProxy
Returns
Type Description
TargetHttpsProxyList.Builder

addItems(int index, TargetHttpsProxy.Builder builderForValue)

public TargetHttpsProxyList.Builder addItems(int index, TargetHttpsProxy.Builder builderForValue)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameters
Name Description
index int
builderForValue TargetHttpsProxy.Builder
Returns
Type Description
TargetHttpsProxyList.Builder

addItemsBuilder()

public TargetHttpsProxy.Builder addItemsBuilder()

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Returns
Type Description
TargetHttpsProxy.Builder

addItemsBuilder(int index)

public TargetHttpsProxy.Builder addItemsBuilder(int index)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
TargetHttpsProxy.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public TargetHttpsProxyList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
TargetHttpsProxyList.Builder
Overrides

build()

public TargetHttpsProxyList build()
Returns
Type Description
TargetHttpsProxyList

buildPartial()

public TargetHttpsProxyList buildPartial()
Returns
Type Description
TargetHttpsProxyList

clear()

public TargetHttpsProxyList.Builder clear()
Returns
Type Description
TargetHttpsProxyList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public TargetHttpsProxyList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
TargetHttpsProxyList.Builder
Overrides

clearId()

public TargetHttpsProxyList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
TargetHttpsProxyList.Builder

This builder for chaining.

clearItems()

public TargetHttpsProxyList.Builder clearItems()

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Returns
Type Description
TargetHttpsProxyList.Builder

clearKind()

public TargetHttpsProxyList.Builder clearKind()

Type of resource. Always compute#targetHttpsProxyList for lists of target HTTPS proxies.

optional string kind = 3292052;

Returns
Type Description
TargetHttpsProxyList.Builder

This builder for chaining.

clearNextPageToken()

public TargetHttpsProxyList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
TargetHttpsProxyList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public TargetHttpsProxyList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
TargetHttpsProxyList.Builder
Overrides
public TargetHttpsProxyList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
TargetHttpsProxyList.Builder

This builder for chaining.

clearWarning()

public TargetHttpsProxyList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
TargetHttpsProxyList.Builder

clone()

public TargetHttpsProxyList.Builder clone()
Returns
Type Description
TargetHttpsProxyList.Builder
Overrides

getDefaultInstanceForType()

public TargetHttpsProxyList getDefaultInstanceForType()
Returns
Type Description
TargetHttpsProxyList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public TargetHttpsProxy getItems(int index)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
TargetHttpsProxy

getItemsBuilder(int index)

public TargetHttpsProxy.Builder getItemsBuilder(int index)

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
TargetHttpsProxy.Builder

getItemsBuilderList()

public List<TargetHttpsProxy.Builder> getItemsBuilderList()

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Returns
Type Description
int

getItemsList()

public List<TargetHttpsProxy> getItemsList()

A list of TargetHttpsProxy resources.

repeated .google.cloud.compute.v1.TargetHttpsProxy items = 100526016;

Returns
Type Description
List<TargetHttpsProxy>